aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRonny (tastytea) Gutbrod <gentoo@tastytea.de>2020-06-10 18:43:41 +0200
committerRonny (tastytea) Gutbrod <gentoo@tastytea.de>2020-06-10 18:44:44 +0200
commit38a200b4b6374137205fe65882cb8acbd2eab756 (patch)
tree18aac5dd164d350c690d09b91c53b3ee0f2586b2 /net-misc
parentdev-libs/libcloudproviders: fix USE vala dep on introspection (diff)
downloadguru-38a200b4b6374137205fe65882cb8acbd2eab756.tar.gz
guru-38a200b4b6374137205fe65882cb8acbd2eab756.tar.bz2
guru-38a200b4b6374137205fe65882cb8acbd2eab756.zip
net-misc/kristall: New package.
Signed-off-by: Ronny (tastytea) Gutbrod <gentoo@tastytea.de>
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/kristall/Manifest1
-rw-r--r--net-misc/kristall/kristall-0.2.ebuild34
-rw-r--r--net-misc/kristall/metadata.xml15
3 files changed, 50 insertions, 0 deletions
diff --git a/net-misc/kristall/Manifest b/net-misc/kristall/Manifest
new file mode 100644
index 00000000..f9715f96
--- /dev/null
+++ b/net-misc/kristall/Manifest
@@ -0,0 +1 @@
+DIST kristall-0.2.tar.gz 7483452 BLAKE2B ab2cd662ce91d36310fcd0b643c18a673e2da504166936826e3642eff14fe80bd1d42a6c284317216069b67fff2f452b7d5d299d47bf19cd074f553ecf98eb33 SHA512 2f0492772b19cc7340e7690c2a5be199826bebddf02777a2a38de1607277bdcd8c7f1069499cc42e7070f1c978731a153bc1e79e1c17f022a8d7b78eca5e8bdb
diff --git a/net-misc/kristall/kristall-0.2.ebuild b/net-misc/kristall/kristall-0.2.ebuild
new file mode 100644
index 00000000..a80dc6aa
--- /dev/null
+++ b/net-misc/kristall/kristall-0.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop qmake-utils xdg
+
+DESCRIPTION="Visual cross-platform gemini browser"
+HOMEPAGE="https://github.com/MasterQ32/kristall"
+SRC_URI="https://github.com/MasterQ32/${PN}/archive/V${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-qt/qtmultimedia[widgets]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ sed -Ei 's|(target\.path) = .+|\1 = /usr/bin|' src/kristall.pro || die
+}
+
+src_configure() {
+ eqmake5 src/kristall.pro
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}"
+ einstalldocs
+
+ doicon src/icons/kristall.svg
+ domenu Kristall.desktop
+}
diff --git a/net-misc/kristall/metadata.xml b/net-misc/kristall/metadata.xml
new file mode 100644
index 00000000..137aa603
--- /dev/null
+++ b/net-misc/kristall/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gentoo@tastytea.de</email>
+ <name>Ronny (tastytea) Gutbrod</name>
+ </maintainer>
+ <longdescription lang="en">
+ Graphical small-internet client for windows, linux, MacOS X and
+ BSDs. Supports gemini, http, https, gopher, finger.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://github.com/MasterQ32/kristall/issues</bugs-to>
+ </upstream>
+</pkgmetadata>